<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: IMultiImage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classarm__compute_1_1_i_multi_image.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">IMultiImage Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Interface for multi-planar images.  
 <a href="classarm__compute_1_1_i_multi_image.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_i_multi_image_8h_source.xhtml">IMultiImage.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a52c8ee0f7ff87c20c213bf2860729ea0"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_multi_image.xhtml#a52c8ee0f7ff87c20c213bf2860729ea0">~IMultiImage</a> ()=default</td></tr>
<tr class="memdesc:a52c8ee0f7ff87c20c213bf2860729ea0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a52c8ee0f7ff87c20c213bf2860729ea0">More...</a><br /></td></tr>
<tr class="separator:a52c8ee0f7ff87c20c213bf2860729ea0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38261214e277cba5b90dd1ffe31170e0"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classarm__compute_1_1_multi_image_info.xhtml">MultiImageInfo</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_multi_image.xhtml#a38261214e277cba5b90dd1ffe31170e0">info</a> () const =0</td></tr>
<tr class="memdesc:a38261214e277cba5b90dd1ffe31170e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interface to be implemented by the child class to return the multi-planar image's metadata.  <a href="#a38261214e277cba5b90dd1ffe31170e0">More...</a><br /></td></tr>
<tr class="separator:a38261214e277cba5b90dd1ffe31170e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84ad04ee4d2efc59632a3224d7a813b3"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespacearm__compute.xhtml#ac20902ac1ef01783c8a8d71a9bdf1100">IImage</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_multi_image.xhtml#a84ad04ee4d2efc59632a3224d7a813b3">plane</a> (unsigned int index)=0</td></tr>
<tr class="memdesc:a84ad04ee4d2efc59632a3224d7a813b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a pointer to the requested plane of the image.  <a href="#a84ad04ee4d2efc59632a3224d7a813b3">More...</a><br /></td></tr>
<tr class="separator:a84ad04ee4d2efc59632a3224d7a813b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18bc117545eec0b9d0d502286d1afd62"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="namespacearm__compute.xhtml#ac20902ac1ef01783c8a8d71a9bdf1100">IImage</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_multi_image.xhtml#a18bc117545eec0b9d0d502286d1afd62">plane</a> (unsigned int index) const =0</td></tr>
<tr class="memdesc:a18bc117545eec0b9d0d502286d1afd62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a constant pointer to the requested plane of the image.  <a href="#a18bc117545eec0b9d0d502286d1afd62">More...</a><br /></td></tr>
<tr class="separator:a18bc117545eec0b9d0d502286d1afd62"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Interface for multi-planar images. </p>

<p>Definition at line <a class="el" href="_i_multi_image_8h_source.xhtml#l00034">34</a> of file <a class="el" href="_i_multi_image_8h_source.xhtml">IMultiImage.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a52c8ee0f7ff87c20c213bf2860729ea0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual ~<a class="el" href="classarm__compute_1_1_i_multi_image.xhtml">IMultiImage</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a38261214e277cba5b90dd1ffe31170e0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classarm__compute_1_1_multi_image_info.xhtml">MultiImageInfo</a>* info </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Interface to be implemented by the child class to return the multi-planar image's metadata. </p>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the image's metadata. </dd></dl>

<p>Implemented in <a class="el" href="classarm__compute_1_1_multi_image.xhtml#ae8d325a13f6f9d17ffe9ea076216b02f">MultiImage</a>, and <a class="el" href="classarm__compute_1_1_c_l_multi_image.xhtml#ae8d325a13f6f9d17ffe9ea076216b02f">CLMultiImage</a>.</p>

</div>
</div>
<a class="anchor" id="a84ad04ee4d2efc59632a3224d7a813b3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespacearm__compute.xhtml#ac20902ac1ef01783c8a8d71a9bdf1100">IImage</a>* plane </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return a pointer to the requested plane of the image. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>The index of the wanted planed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer pointed to the plane </dd></dl>

<p>Implemented in <a class="el" href="classarm__compute_1_1_multi_image.xhtml#a1762b2552daa39b1629c90d1f04669f5">MultiImage</a>, and <a class="el" href="classarm__compute_1_1_i_c_l_multi_image.xhtml#a1a074b1525a405db59cba015b89f23a1">ICLMultiImage</a>.</p>

</div>
</div>
<a class="anchor" id="a18bc117545eec0b9d0d502286d1afd62"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespacearm__compute.xhtml#ac20902ac1ef01783c8a8d71a9bdf1100">IImage</a>* plane </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return a constant pointer to the requested plane of the image. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>The index of the wanted planed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A constant pointer pointed to the plane </dd></dl>

<p>Implemented in <a class="el" href="classarm__compute_1_1_multi_image.xhtml#abf183837db0ff1ee887d6e9bbb891916">MultiImage</a>, and <a class="el" href="classarm__compute_1_1_i_c_l_multi_image.xhtml#ad136a4299cb6e978ab975fe4a4691fba">ICLMultiImage</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>arm_compute/core/<a class="el" href="_i_multi_image_8h_source.xhtml">IMultiImage.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="classarm__compute_1_1_i_multi_image.xhtml">IMultiImage</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
